package test.org.seasar.extension.openamf;

public class CalculatorImpl implements Calculator{

	public int plus(int number1, int number2) {
		return number1 + number2;
	}

	public int plus(int number1, int number2, int number3) {
		return number1 +  number2 + number3;
	}
	
	public AddDto plus(AddDto addDto) {
		addDto.setResult(addDto.getArg1() + addDto.getArg2());
		return addDto;
	}
}
